---
sidebar_position: 7
description: Restore file and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Restore file
 Restore file from recycle bin



`Function RestoreFile(Val URL, Val FileID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | FileID | --fileid | String, Number | &#x2714; | File identifier |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [disk.file.restore](https://dev.1c-bitrix.ru/rest_help/disk/file/disk_file_restore.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    FileID = "48396";

    Result = OPI_Bitrix24.RestoreFile(URL, FileID);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.RestoreFile(URL, FileID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 RestoreFile \
             --url "b24-ar17wx.bitrix24.by" \
             --fileid 48450 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 RestoreFile ^
             --url "b24-ar17wx.bitrix24.by" ^
             --fileid 48450 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": "48450",
  "NAME": "New file name.jpg",
  "CODE": null,
  "STORAGE_ID": "3",
  "TYPE": "file",
  "PARENT_ID": "3",
  "DELETED_TYPE": "0",
  "GLOBAL_CONTENT_VERSION": "1",
  "FILE_ID": "32880",
  "SIZE": "805189",
  "CREATE_TIME": "2025-12-10T19:53:07+00:00",
  "UPDATE_TIME": "2025-12-10T19:53:53+00:00",
  "DELETE_TIME": "2025-12-10T19:53:48+00:00",
  "CREATED_BY": "1",
  "UPDATED_BY": "1",
  "DELETED_BY": "1",
  "DOWNLOAD_URL": "https://b24-ar17wx.bitrix24.by/rest/download.json?auth=66dc3969006e9f06006b12e4000000010000074362ff3792167a01ecb206c3034befae&token=disk%7CaWQ9NDg0NTAmXz12MVNSYXdtYzM2SlJCOTNIMU9DamYyMUNBOFJzcGxVaw%3D%3D%7CImRvd25sb2FkfGRpc2t8YVdROU5EZzBOVEFtWHoxMk1WTlNZWGR0WXpNMlNsSkNPVE5JTVU5RGFtWXlNVU5CT0ZKemNHeFZhdz09fDY2ZGMzOTY5MDA2ZTlmMDYwMDZiMTJlNDAwMDAwMDAxMDAwMDA3NDM2MmZmMzc5MjE2N2EwMWVjYjIwNmMzMDM0YmVmYWUi.KqA6az0QS6%2BgbXuII56Q3tD5gonYylbYyzFw6t0GZLI%3D",
  "DETAIL_URL": "https://b24-ar17wx.bitrix24.by/docs/file/New file name.jpg"
 },
 "time": {
  "start": 1765396435,
  "finish": 1765396435.62945,
  "duration": 0.629447937011719,
  "processing": 0,
  "date_start": "2025-12-10T19:53:55+00:00",
  "date_finish": "2025-12-10T19:53:55+00:00",
  "operating_reset_at": 1765397035,
  "operating": 0
 }
}
```
